Foxit PDF SDK

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.PDFObject Class Reference
Inheritance diagram for FoxitPDFSDKPython2.PDFObject:

## Public Member Functions
def | CloneObject ()
| Clone current PDF object and get the cloned PDF object. More...
def | DeepCloneObject ()
| Clone current PDF object and get the cloned PDF object. More...
def | GetArray ()
| Get the PDF array object of current PDF object. More...
def | GetBoolean ()
| Get the boolean value of current PDF object. More...
def | GetDateTime ()
| Get the date time value of current PDF object. More...
def | GetDict ()
| Get the PDF dictionary object of current PDF object. More...
def | GetDirectObject ()
| Get the direct object of current PDF object. More...
def | GetFloat ()
| Get the float value of current PDF object. More...
def | GetInteger ()
| Get the integer value of current PDF object. More...
def | GetMatrix ()
| Get the matrix value of current PDF object. More...
def | GetName ()
| Get the name value of current PDF object. More...
def | GetObjNum ()
| Get the indirect object number of current PDF object. More...
def | GetRect ()
| Get the rectangle value of current PDF object. More...
def | GetStream ()
| Get the PDF stream object of current PDF object. More...
def | GetString ()
| Get the string value of current PDF object. More...
def | GetType ()
| Get the type of current PDF object. More...
def | GetWideString ()
| Get the wide string value of current PDF object. More...
def | IsIdentical (pdf_obj)
| Check if input PDF object is identical with current PDF object. More...
def | Release ()
| Release a newly created PDF object or a clone PDF object, which is not related to PDF document or other PDF object and will not be used any more. More...

## Static Public Member Functions
def | CreateFromBoolean (boolean_value)
| Create a PDF object from a boolean value. More...
def | CreateFromDateTime (date_time)
| Create a PDF object from date time. More...
def | CreateFromFloat (float_value)
| Create a PDF object from a float number. More...
def | CreateFromInteger (integer_value)
| Create a PDF object from a integer number. More...
def | CreateFromName (name)
| Create a PDF object from a string which represents a name. More...
def | CreateFromNameW (name)
| Create a PDF object from a string which represents a name. More...
def | CreateFromString (string_value)
| Create a PDF object from string. More...
def | CreateFromString (string_value, length)
| Create a PDF object from string. More...
def | CreateReference (document, object_number)
| Create a reference for an indirect object. More...

## Static Public Attributes
| e_Array = _fsdk.PDFObject_e_Array
| PDF array object.
| e_Boolean = _fsdk.PDFObject_e_Boolean
| PDF boolean object.
| e_Dictionary = _fsdk.PDFObject_e_Dictionary
| PDF dictionary object.
| e_InvalidType = _fsdk.PDFObject_e_InvalidType
| Invalid PDF object type.
| e_Name = _fsdk.PDFObject_e_Name
| PDF name object.
| e_Null = _fsdk.PDFObject_e_Null
| PDF null object.
| e_Number = _fsdk.PDFObject_e_Number
| PDF number object.
| e_Reference = _fsdk.PDFObject_e_Reference
| PDF reference object.
| e_Stream = _fsdk.PDFObject_e_Stream
| PDF stream object.
| e_String = _fsdk.PDFObject_e_String
| PDF string object.

## Detailed Description

PDF supports eight basic types of objects:
"Boolean value", "Integer and real number", "String", "Name", "Array", "Dictionary", "Stream", "The null object". For more details about PDF objects, please refer to Section 3.2 "Objects" in <PDF Reference 1.7>.
Class PDFObject is a base class for all kinds of PDF objects. It offers different functions to create different kind of PDF objects. For "Array", "Dictionary" and "Stream" PDF object, please refer to derived classes FoxitPDFSDKPython2.PDFArray , FoxitPDFSDKPython2.PDFDictionary and PDFStream .
If user wants to make a newly created PDF object to be an indirect object, please call function FoxitPDFSDKPython2.PDFDoc.AddIndirectObject .

See also
  PDFArray
  PDFDictionary
  PDFStream
  FoxitPDFSDKPython2.PDFDoc

## Member Function Documentation

## ◆ CloneObject()

def FoxitPDFSDKPython2.PDFObject.CloneObject | ( |  | ) |

Clone current PDF object and get the cloned PDF object.

Please call FoxitPDFSDKPython2.PDFObject.Release to release the new object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Returns
  A new PDFObject object as the clone result. If there is any error, this function will return null.

## ◆ CreateFromBoolean()

FoxitPDFSDKPython2.PDFObject.CreateFromBoolean | ( |  | boolean_value | ) |
| static

Create a PDF object from a boolean value.

Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Parameters

  [in] | boolean_value | A boolean value.

Returns
  A new PDFObject object, whose object type is FoxitPDFSDKPython2.PDFObject.e_Boolean . If there is any error, this function will return null.

## ◆ CreateFromDateTime()

FoxitPDFSDKPython2.PDFObject.CreateFromDateTime | ( |  | date_time | ) |
| static

Create a PDF object from date time.

PDF defines a standard date format, which closely follows that of the international standard ASN.1 (Abstract Syntax Notation One), defined in ISO/ IEC 8824 (see the Bibliography). A date is defined as an ASCII string of the form (D:YYYYMMDDHHmmSSOHH'mm'). Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Parameters

  [in] | date_time | A date and time object.

Returns
  A new PDFObject object, whose object type is FoxitPDFSDKPython2.PDFObject.e_String . If there is any error, this function will return null.

## ◆ CreateFromFloat()

FoxitPDFSDKPython2.PDFObject.CreateFromFloat | ( |  | float_value | ) |
| static

Create a PDF object from a float number.

Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Parameters

  [in] | float_value | A float value.

Returns
  A new PDFObject object, whose object type is FoxitPDFSDKPython2.PDFObject.e_Number . If there is any error, this function will return null.

## ◆ CreateFromInteger()

FoxitPDFSDKPython2.PDFObject.CreateFromInteger | ( |  | integer_value | ) |
| static

Create a PDF object from a integer number.

Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Parameters

  [in] | integer_value | An integer value.

Returns
  A new PDFObject object, whose object type is FoxitPDFSDKPython2.PDFObject.e_Number . If there is any error, this function will return null.

## ◆ CreateFromName()

FoxitPDFSDKPython2.PDFObject.CreateFromName | ( |  | name | ) |
| static

Create a PDF object from a string which represents a name.

Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Parameters

  [in] | name | A string. It should not be an empty string.

Returns
  A new PDFObject object, whose object type is FoxitPDFSDKPython2.PDFObject.e_Name . If there is any error, this function will return null.

## ◆ CreateFromNameW()

FoxitPDFSDKPython2.PDFObject.CreateFromNameW | ( |  | name | ) |
| static

Create a PDF object from a string which represents a name.

Parameters

  [in] | name | A string. It should not be an empty string.

Returns
  A new PDFObject object, whose object type is FoxitPDFSDKPython2.PDFObject.e_Name . Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

## ◆ CreateFromString() [1/2]

FoxitPDFSDKPython2.PDFObject.CreateFromString | ( |  | string_value | ) |
| static

Create a PDF object from string.

Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Parameters

  [in] | string_value | A string. It should not be an empty string.

Returns
  A PDFObject object, whose object type is FoxitPDFSDKPython2.PDFObject.e_String . If there is any error, this function will return null.

## ◆ CreateFromString() [2/2]

FoxitPDFSDKPython2.PDFObject.CreateFromString | ( |  | string_value,
|  |  | length
| ) |  |
| static

Create a PDF object from string.

Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Parameters

  [in] | string_value | A string. It should not be an empty string.
  [in] | length | The length of the wide character string. The length should either be a positive value or -1. A value of -1 represents a zero-terminated wide character string.

Returns
  A PDFObject object, whose object type is FoxitPDFSDKPython2.PDFObject.e_String . If there is any error, this function will return null.

## ◆ CreateReference()

FoxitPDFSDKPython2.PDFObject.CreateReference | ( |  | document,
|  |  | object_number
| ) |  |
| static

Create a reference for an indirect object.

The indirect object can be retrieved by following methods:

- Returned by function FoxitPDFSDKPython2.PDFDoc.GetIndirectObject .

- Returned by function FoxitPDFSDKPython2.PDFDoc.AddIndirectObject , when try to add a direct PDF object to PDF document and make it to be an indirect object.

Please call function FoxitPDFSDKPython2.PDFObject.Release to release the created object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Parameters

  [in] | document | A valid PDF document object.
  [in] | object_number | The indirect object number of the indirect PDF object. This should be above 0.

Returns
  A new PDFObject object, whose object type is FoxitPDFSDKPython2.PDFObject.e_Reference . If there is any error, this function will return null.

## ◆ DeepCloneObject()

def FoxitPDFSDKPython2.PDFObject.DeepCloneObject | ( |  | ) |

Clone current PDF object and get the cloned PDF object.

This function is a totally direct copy, without any reference object inside, so the copy object can be copied to another document. Please call FoxitPDFSDKPython2.PDFObject.Release to release the new object if it has not been added/set into PDF document or other PDF object and will not be used any more.

Returns
  A new PDFObject object as the clone result. If there is any error, this function will return null.

## ◆ GetArray()

def FoxitPDFSDKPython2.PDFObject.GetArray | ( |  | ) |

Get the PDF array object of current PDF object.

If the type of current PDF object is FoxitPDFSDKPython2.PDFObject.e_Reference , this function will check the direct PDF object of current PDF object.

Returns
  A PDF array object. If current PDF object or the direct PDF object is not a PDF array, null will be returned.

## ◆ GetBoolean()

def FoxitPDFSDKPython2.PDFObject.GetBoolean | ( |  | ) |

Get the boolean value of current PDF object.

Only useful when the type of current PDF object is FoxitPDFSDKPython2.PDFObject.e_Boolean .

Returns
  The boolean value. For PDF object in other type, false will be returned.

## ◆ GetDateTime()

def FoxitPDFSDKPython2.PDFObject.GetDateTime | ( |  | ) |

Get the date time value of current PDF object.

Only useful when the type of current PDF objec is FoxitPDFSDKPython2.PDFObject.e_String and its content is in PDF standard date format.

Returns
  The data time information. If there is any error or current object is in other type, an empty date and time object will be returned.

## ◆ GetDict()

def FoxitPDFSDKPython2.PDFObject.GetDict | ( |  | ) |

Get the PDF dictionary object of current PDF object.

If the type of current PDF object is FoxitPDFSDKPython2.PDFObject.e_Reference , this function will check the direct PDF object of current PDF object.

Returns
  A PDF dictionary object. If current PDF object or the direct PDF object is not a PDF dictionary, null will be returned.

## ◆ GetDirectObject()

def FoxitPDFSDKPython2.PDFObject.GetDirectObject | ( |  | ) |

Get the direct object of current PDF object.

If the type of current PDF object is FoxitPDFSDKPython2.PDFObject.e_Reference , the direct object will be returned.

Returns
  The direct PDF object. For PDF object in other type, this function will return current PDF object itself. If there is any error, this function will return null.

## ◆ GetFloat()

def FoxitPDFSDKPython2.PDFObject.GetFloat | ( |  | ) |

Get the float value of current PDF object.

Only useful when the type of current PDF object is FoxitPDFSDKPython2.PDFObject.e_Number .

Returns
  The float value. For PDF object in other type, 0.0f will be returned.

## ◆ GetInteger()

def FoxitPDFSDKPython2.PDFObject.GetInteger | ( |  | ) |

Get the integer value of current PDF object.

Only useful when the type of current PDF object is FoxitPDFSDKPython2.PDFObject.e_Number .

Returns
  The integer value. For PDF object in other type, 0 will be returned.

## ◆ GetMatrix()

def FoxitPDFSDKPython2.PDFObject.GetMatrix | ( |  | ) |

Get the matrix value of current PDF object.

Only useful for PDF object whose type is FoxitPDFSDKPython2.PDFObject.e_Array and it has 6 number objects as elements.

Returns
  A matrix. If there is any error or current object is in other type, a matrix with value [0 0 0 0 0 0] will be returned.

## ◆ GetName()

def FoxitPDFSDKPython2.PDFObject.GetName | ( |  | ) |

Get the name value of current PDF object.

Only useful when the type of current PDF object is FoxitPDFSDKPython2.PDFObject.e_Name or FoxitPDFSDKPython2.PDFObject.e_String .

Returns
  A string that represents the value. If there is any error or current object is in other type, an empty string will be returned.

## ◆ GetObjNum()

def FoxitPDFSDKPython2.PDFObject.GetObjNum | ( |  | ) |

Get the indirect object number of current PDF object.

Returns
  The indirect object number. It would be:

  - 0 if current PDF object is a direct object.

  - above 0 if current PDF object is an indirect object.

  - -1 means there is any error.

## ◆ GetRect()

def FoxitPDFSDKPython2.PDFObject.GetRect | ( |  | ) |

Get the rectangle value of current PDF object.

Only useful for PDF object whose type is FoxitPDFSDKPython2.PDFObject.e_Array and it has 4 number objects as elements.

Returns
  A rectangle. If there is any error or current object is in other type, a rectangle with value [0 0 0 0] will be returned.

## ◆ GetStream()

def FoxitPDFSDKPython2.PDFObject.GetStream | ( |  | ) |

Get the PDF stream object of current PDF object.

If the type of current PDF object is FoxitPDFSDKPython2.PDFObject.e_Reference , this function will check the direct PDF object of current PDF object.

Returns
  A PDF stream object. If current PDF object or the direct PDF object is not a PDF stream, null will be returned.

## ◆ GetString()

def FoxitPDFSDKPython2.PDFObject.GetString | ( |  | ) |

Get the string value of current PDF object.

This function will get the string format for actual value of current PDF object:

- If object type is FoxitPDFSDKPython2.PDFObject.e_Boolean , "true" or "false" string value will be returned, depending on its actual value.

- If object type is FoxitPDFSDKPython2.PDFObject.e_Number , the value will be represents as a string. For example, "1.5" string is for value 1.5.

- If object type is FoxitPDFSDKPython2.PDFObject.e_String , the string value will be retrieved directly.

If value of current PDF object cannot be converted to a valid string, an empty string will be returned.

Returns
  A string.

## ◆ GetType()

def FoxitPDFSDKPython2.PDFObject.GetType | ( |  | ) |

Get the type of current PDF object.

Returns
  PDF object type. Please refer to values starting from FoxitPDFSDKPython2.PDFObject.e_Boolean and this would be one of these values.

## ◆ GetWideString()

def FoxitPDFSDKPython2.PDFObject.GetWideString | ( |  | ) |

Get the wide string value of current PDF object.

This function will get the string format for actual value of current PDF object:

- If object type is FoxitPDFSDKPython2.PDFObject.e_Boolean , "true" or "false" string value will be returned, depending on its actual value.

- If object type is FoxitPDFSDKPython2.PDFObject.e_Number , the value will be represents as a string. For example, "1.5" string is for value 1.5.

- If object type is FoxitPDFSDKPython2.PDFObject.e_String , the string value will be retrieved directly.

If value of current PDF object cannot be converted to a valid string, an empty string will be returned.

Returns
  A string.

## ◆ IsIdentical()

def FoxitPDFSDKPython2.PDFObject.IsIdentical | ( |  | pdf_obj | ) |

Check if input PDF object is identical with current PDF object.

Parameters

  [in] | pdf_obj | Another PDF object which is to be check with current PDF object.

Returns
  true means input PDF object is identical with current PDF object, while false means input PDF object is not identical with current PDF object.

## ◆ Release()

def FoxitPDFSDKPython2.PDFObject.Release | ( |  | ) |

Release a newly created PDF object or a clone PDF object, which is not related to PDF document or other PDF object and will not be used any more.

This function should be called only for a newly created PDF object or a cloned PDF object, which has not been added or set to other PDF object or related to PDF document, and will not be used any more. Please do not use this function for other case, otherwise unknown error may occur.

Returns
  None.